Bug 143721 - system-config-printer hangs with wait message
system-config-printer hangs with wait message
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: system-config-printer (Show other bugs)
rawhide
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Waugh
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-12-25 03:49 EST by Fedora Tester
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version: 0.6.129-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-19 11:29:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Fedora Tester 2004-12-25 03:49:48 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; rv:1.7.3) Gecko/20040914
Firefox/0.10.1

Description of problem:
I can't configure printers using Fedora Core 2 i386.  When I open
"Printer configuration" with system-config-printer and click New, a
popup says "Loading printer information.  Please wait...".  

So I wait forever and nothing happens.  Just a rotating hourglass.  I
have to force-kill the program.


Version-Release number of selected component (if applicable):
system-config-printer-0.6.98-1

How reproducible:
Always

Steps to Reproduce:
1.Run system-config-printer.
2.Click Add.
3.
    

Actual Results:  Program stays in hung state.

Expected Results:  Should have given me a window where I can configure
/ add new printers.

Additional info:
Comment 1 Tim Waugh 2004-12-30 06:34:13 EST
Please run 'system-config-printer' from a terminal window, and see if the same
thing happens.  If so, please copy the output here.  Thanks.
Comment 2 David W. Legg 2005-02-04 17:14:50 EST
I get the same in Core 3 with
system-config-printer-gui-0.6.116.1.1-1.i386.rpm
and system-config-printer-0.6.116.1.1-1.i386.rpm.
Comment 3 Tim Waugh 2005-02-08 10:10:51 EST
Please copy the output you get here.
Comment 4 Olov Johansson 2005-04-11 16:55:17 EDT
I got the same freeze on FC4 test2 (rawhide updated):
system-config-printer-0.6.128-1
system-config-printer-gui-0.6.128-1

The first time I ran system-config-printer and clicked 'Add' the dialogs came up
fine, the second (and third..) time (after cancelling and importing a PPD, I may
have restarted the program) it hung.

rm -rf /var/cache/foomatic made it work as expected upon next launch. Hope this
helps:

[olov@localhost ~]$ system-config-printer
Traceback (most recent call last):
  File "/usr/share/printconf/util/queueTree.py", line 579, in new_button_clicked
    self.use_foomatic ()
  File "/usr/share/printconf/util/queueTree.py", line 502, in use_foomatic
    self.conf.foomatic_init_overview ()
  File "/usr/share/printconf/util/printconf_conf.py", line 1771, in
foomatic_init_overview
    foomatic_pickle ()
  File "/usr/share/printconf/util/printconf_conf.py", line 1621, in foomatic_pickle
    os.mkdir (dirname, 0755)
OSError: [Errno 17] File exists: '/var/cache/foomatic'
Comment 5 Tim Waugh 2005-04-19 11:29:22 EDT
Thanks for the report.  Should be fixed in 0.6.129-1.  This is certainly a
different problem than the original report, but I will close this for now.

Original reporter: please re-open this if it still occurs, and provide the
required information.  Thanks.

Note You need to log in before you can comment on or make changes to this bug.